### Virtual Method

# Gtk Buildablecustom_tag_start

#### Declaration [src]

    gboolean
    custom_tag_start (
      GtkBuildable* buildable,
      GtkBuilder* builder,
      GObject* child,
      const char* tagname,
      GtkBuildableParser* parser,
      gpointer* data
    )

#### Description [src]

Called for each unknown element under `<child>`.

#### Parameters

`builder`

  Type: `GtkBuilder`

  A `GtkBuilder` used to construct this object.

  The data is owned by the caller of the function.

`child`

  Type: `GObject`

  Child object or `NULL` for non-child tags.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`tagname`

  Type: `const char*`

  Name of tag.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`parser`

  Type: `GtkBuildableParser`

  A `GtkBuildableParser` to fill in.

  The argument will be set by the function.
  The data is owned by the function.

`data`

  Type: `gpointer*`

  Return location for user data that will be passed in to parser functions.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if an object has a custom implementation, `FALSE` if it doesn’t.